#!/bin/csh -f
#
# Created on 17/2/06 by M.Paolillo
# Cshell to convert X,Y coords between flt and dithered HST ACS images 
# Starts pyraf and launches the trans routine of the stsdas.dither package
# WARNING: you need to load stsdas and dither packages on iraf startup, i.e. 
#
# Input:  1 input file, 2 output file, 3 chip, 4 coord.file, 
#        5 forward/backward conversion
#

echo 'Start pyraf task: tran'
if ($#argv < 5 || $1 == ^) then
 
  echo usage: source get_dithered_coord.csh input_file output_file chip coord.file conversion\[forward\/backward\]
 
  exit
endif

# Define input and output files matching the dithering definitions needed by the 
# trans task (must match file names in headers of dithered img)
set infile = $1\[sci,$3\]
set outfile = $2

#echo "$infile $outfile"	#check


# Launch pyraf
#scisoft		#source Setup.csh scisoft file) this depends on your system settings
pyraf -s << EOT1 > get_dithered_coord.log
#stsdas
#dither
tran $infile $outfile $5 0 0 xylist=$4	#note that the 0,0 coords are ignored
.exit
EOT1

